CONDOR_RELEASE(1)

NAME
condor_release - HTCondor Manual

release held jobs in the HTCondor queue

SYNOPSIS

condor_release [-help | -version ]

condor_release [-debug ] [ -pool centralmanagerhostname[:portnumber] | -name scheddname ] | [-addr "<a.b.c.d:port>"] cluster... | cluster.process... | user... | -constraint expression ...

condor_release [-debug ] [ -pool centralmanagerhostname[:portnumber] | -name scheddname ] | [-addr "<a.b.c.d:port>"] -all

DESCRIPTION

condor_release releases jobs from the HTCondor job queue that were previously placed in hold state. If the -name option is specified, the named condor_schedd is targeted for processing. Otherwise, the local condor_schedd is targeted. The jobs to be released are identified by one or more job identifiers, as described below. For any given job, only the owner of the job or one of the queue super users (defined by the QUEUE_SUPER_USERS macro) can release the job.

OPTIONS

-help
    Display usage information

-version
    Display version information

-pool centralmanagerhostname[:portnumber]
    Specify a pool by giving the central manager's host name and an optional port number

-name scheddname
    Send the command to a machine identified by scheddname

-addr "<a.b.c.d:port>"
    Send the command to a machine located at "<a.b.c.d:port>"

-debug
    Causes debugging information to be sent to stderr, based on the value of the configuration variable TOOL_DEBUG.

cluster
    Release all jobs in the specified cluster

cluster.process
    Release the specific job in the cluster

user
    Release jobs belonging to specified user

-constraint expression
    Release all jobs which match the job ClassAd expression constraint

-all
    Release all the jobs in the queue

SEE ALSO

condor_hold

EXAMPLES

To release all of the jobs of a user named Mary:

% condor_release Mary

EXIT STATUS

condor_release will exit with a status value of 0 (zero) upon success, and it will exit with the value 1 (one) upon failure.

AUTHOR
HTCondor Team

COPYRIGHT
1990-2020, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.